<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="SUB_P1102_EXTRA" language="groovy" pageWidth="370" pageHeight="100" whenNoDataType="BlankPage" columnWidth="370" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" whenResourceMissingType="Empty" isIgnorePagination="true" uuid="652b3c1e-fb91-4904-8c43-c21868e28d7b">
	<property name="ireport.zoom" value="1.7715610000000035"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="EMPLOYEE_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["1371"]]></defaultValueExpression>
	</parameter>
	<parameter name="PAYROLLDETAIL_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["7"]]></defaultValueExpression>
	</parameter>
	<parameter name="PAYROLL_ID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["3"]]></defaultValueExpression>
	</parameter>
	<parameter name="PERIOD_END_DATE" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["2011-03-08"]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT * FROM "DBA"."vw_CUSTOM_EmployeeVariables_AcrossTaxYears"
inner join "DBA"."P_VARIABLE" ON "vw_CUSTOM_EmployeeVariables_AcrossTaxYears"."variable_id" = "P_VARIABLE"."variable_id"
where vw_CUSTOM_EmployeeVariables_AcrossTaxYears.payroll_id=$P{PAYROLL_ID}
and vw_CUSTOM_EmployeeVariables_AcrossTaxYears.employee_id=$P{EMPLOYEE_ID}
and vw_CUSTOM_EmployeeVariables_AcrossTaxYears.payrolldetail_id=$P{PAYROLLDETAIL_ID}
and (vw_CUSTOM_EmployeeVariables_AcrossTaxYears.var_type!='DEDUCTION'
and vw_CUSTOM_EmployeeVariables_AcrossTaxYears.cost_detail!='YY')
and (vw_CUSTOM_EmployeeVariables_AcrossTaxYears.var_type!='EARNING'
and vw_CUSTOM_EmployeeVariables_AcrossTaxYears.cost_detail!='YY')
and vw_CUSTOM_EmployeeVariables_AcrossTaxYears.period_enddate=$P{PERIOD_END_DATE}
and "P_VARIABLE"."DISPLAYONPAYSLIP_YN" = 'Y'
order by variable_name asc]]>
	</queryString>
	<field name="company_id" class="java.math.BigDecimal"/>
	<field name="employee_id" class="java.math.BigDecimal"/>
	<field name="payroll_id" class="java.math.BigDecimal"/>
	<field name="payrolldetail_id" class="java.math.BigDecimal"/>
	<field name="Tax_Year_End" class="java.sql.Date"/>
	<field name="PAYROLL_NAME" class="java.lang.String"/>
	<field name="PERIOD_STARTDATE" class="java.sql.Date"/>
	<field name="PERIOD_ENDDATE" class="java.sql.Date"/>
	<field name="variable_id" class="java.math.BigDecimal"/>
	<field name="VARIABLE_NAME" class="java.lang.String"/>
	<field name="System_Type" class="java.lang.String"/>
	<field name="Var_Type" class="java.lang.String"/>
	<field name="Cost_Detail" class="java.lang.String"/>
	<field name="SARS_CODE" class="java.math.BigDecimal"/>
	<field name="PeriodValue" class="java.math.BigDecimal"/>
	<field name="NAME" class="java.lang.String"/>
	<field name="DESCRIPTION" class="java.lang.String"/>
	<field name="VARIABLE_TYPE" class="java.lang.String"/>
	<field name="RESULT_TYPE" class="java.lang.String"/>
	<field name="THEVALUE" class="java.lang.String"/>
	<field name="THEOPTIONS" class="java.lang.String"/>
	<field name="ACTIVE_FOR" class="java.lang.String"/>
	<field name="MIN_VALUE" class="java.math.BigDecimal"/>
	<field name="MAX_VALUE" class="java.math.BigDecimal"/>
	<field name="ACTIVE_YN" class="java.lang.String"/>
	<field name="VALUE_UNIT" class="java.lang.String"/>
	<field name="DISPLAYONPAYSLIP_YN" class="java.lang.String"/>
	<field name="DISPLAYYTD_YN" class="java.lang.String"/>
	<field name="GL_CODE" class="java.lang.String"/>
	<field name="QTY_THEVALUE" class="java.lang.String"/>
	<field name="EARNING_VARIABLE_ID" class="java.math.BigDecimal"/>
	<field name="IND_CODE" class="java.lang.String"/>
	<field name="ACTIVATION_FORMULA" class="java.lang.String"/>
	<field name="VAR_NUMBER" class="java.lang.String"/>
	<field name="LINKDEPVARS_YN" class="java.lang.String"/>
	<field name="COMPCONTALWAYSACTIVE_YN" class="java.lang.String"/>
	<field name="CONTSITE_YN" class="java.lang.String"/>
	<field name="LABOURCOSTING_YN" class="java.lang.String"/>
	<field name="DEDUCTION_SEQUENCE" class="java.lang.Integer"/>
	<field name="activate_leave_input_yn" class="java.lang.String"/>
	<field name="CALC_PER_COSTCENTRE_YN" class="java.lang.String"/>
	<group name="GrpVar">
		<groupExpression><![CDATA[$F{DESCRIPTION}]]></groupExpression>
	</group>
	<title>
		<band height="16">
			<textField>
				<reportElement x="148" y="0" width="111" height="16" uuid="02c4db1e-4204-43b5-985d-cf6955eafaa5"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="8" isBold="true" isUnderline="true"/>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA["Current"]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<detail>
		<band height="13">
			<textField evaluationTime="Group" evaluationGroup="GrpVar" isBlankWhenNull="true">
				<reportElement x="0" y="0" width="148" height="13" uuid="30f23b45-5576-4fba-877d-07c6e32d965f"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="2"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{VARIABLE_NAME}]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Group" evaluationGroup="GrpVar" isBlankWhenNull="true">
				<reportElement x="148" y="0" width="111" height="13" uuid="d2e50dfb-98d5-47a3-86d0-c3b621bf9685"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="8"/>
					<paragraph leftIndent="1"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{PeriodValue}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
